ncbi-blast+ (2.16.0+ds-7) unstable; urgency=medium

  * debian/control: Build-depend on libncbi-vdb-dev where available
    (amd64, arm64, and x32).
  * debian/copyright: Overhaul with much help from licenserecon (lrc).
  * debian/patches/fix_bm_for_gcc15 (new): Cherry-pick a BitMagic fix
    needed for modern compilers, adjusting the path appropriately.'
    (Closes: #1097434.)
  * debian/rules: Build against (packaged!) VDB where available, using
    logic cribbed from ncbi-igblast.  (Closes: #1100037.)
  * Standards-Version: 4.7.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 03 May 2025 23:42:51 -0400

ncbi-blast+ (2.16.0+ds-6) unstable; urgency=medium

  * debian/control: Reinstate big-endian builds, which can be salvaged
    adequately well.
  * debian/patches/big_endian_workaround (new): On big-endian
    architectures, roll makeblastdb's and makeprofiledb's default
    blastdb_version back to 4 pending a proper fix.  Some things,
    including in particular q2-feature-classifier, will still explicitly
    request version 5, but everything else should be OK.  (See #1077777.)
  * debian/rules: Try disabling optimization altogether on sh4.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 06 Aug 2024 21:45:09 -0400

ncbi-blast+ (2.16.0+ds-5) unstable; urgency=medium

  * debian/control: Forbid builds for big-endian architectures, at least
    for now.  They nominally succeed, but two dependent autopkgtests (for
    cct and kleborate) have started failing on s390x, and there's no
    evidence that other BE architectures fare any better.  (See #1077777.)
  * debian/rules:
    - Try building with -fsection-anchors on alpha in hopes of satisfying
      the GOT size limit there too.
    - Extend -O1 cap to sh4, which still encountered VM exhaustion.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 04 Aug 2024 16:04:32 -0400

ncbi-blast+ (2.16.0+ds-4) unstable; urgency=medium

  * debian/rules:
    - Move architecture.mk inclusion to the very top for the sake of
      hypothetical builds bypassing dpkg-buildpackage.
    - Compile with -ffunction-sections on hppa and -mxgot on mips*
      (mips64el in practice) due to having outgrown default settings.
    - Disable parallel building on sh4 in hopes of avoiding buildd virtual
      memory exhaustion.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 27 Jul 2024 22:38:52 -0400

ncbi-blast+ (2.16.0+ds-3) unstable; urgency=medium

  * debian/rules: Fix typo (missing parenthesis).

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 26 Jul 2024 15:37:28 -0400

ncbi-blast+ (2.16.0+ds-2) unstable; urgency=medium

  * debian/patches/hurd_fixes: Extend to ncbi_localip.c, which otherwise
    accommodates PATH_MAX's absence only under Windows.
  * debian/rules: Link with -latomic on most 32-bit architectures
    (excepting only x86 and armhf, which succeed as is).

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 26 Jul 2024 14:54:55 -0400

ncbi-blast+ (2.16.0+ds-1) unstable; urgency=medium

  * New upstream release, which should be (more than) new enough for
    recent q2-feature-classifier.  (Closes: #1074316.)
  * debian/control:
    - Build against libnghttp2-dev, libsqlite3-dev, and libuv1-dev, newly
      needed.
    - Build against autoconf2.69.
    - Build against libpcre2-dev, as enabled by debian/patches/allow_pcre2.
    - Stop building against 2to3, which may not be around much longer.
  * debian/patches: Update for new release, mostly formally.
  * debian/patches/2to3 (new): Cache 2to3 diff for
    windowmasker_2.2.22_adapter.
  * debian/patches/allow_pcre2 (new): Allow use of PCRE2.
  * debian/patches/series:
    - Move system_mbedtls_only up in conjunction with incorporating part
      of an upstream patch needed by support_mbedtls3.
    - Comment out reprobuild; I'm all for reproducibility, but the package
      already automatically builds with flags that make __FILE__ relative,
      and many of its uses are in header-defined macros that intend to
      pick up their callers' paths.
  * debian/patches/support_mbedtls3 (new): Support (but don't require)
    Mbed TLS 3.x.  (Closes: #1075867.)
  * debian/patches/system_mbedtls: Extend to cover ncbi_mbedtls.c (as in
    https://github.com/ncbi/ncbi-cxx-toolkit-public/commit/f9c7297dd1)
    and Makefile.xxconnect2.lib.
  * debian/rules:
    - Regenerate configure and config.h.in with Autoconf 2.69.
    - Build against PCRE2, as enabled by debian/patches/allow_pcre2.
      (Closes: #891197.)
    - Tune flags: Add --without-strip to make --with-symbols effective;
      switch off warnings from __DATE__/__TIME__ usage, since
      dpkg-buildpackage's SOURCE_DATE_EPOCH injection should suffice.
    - Extend generated-sources cleanup to objtools/eutils (not entirely
      straightforward due to input format variation).
    - Drop build-time 2to3 invocation in favor of debian/patches/2to3.
  * debian/source/lintian-overrides: No more rapidjson10 (just ...11).
  * Standards-Version: 4.7.0 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 25 Jul 2024 20:07:36 -0400

ncbi-blast+ (2.12.0+ds-4) unstable; urgency=medium

  * debian/control: Drop build dependency on libpcre3-dev; PCRE2 support
    isn't ready yet, but there's a convenience copy of classic PCRE that
    will suffice for now.  (Partly addresses #891197.)
  * debian/source/lintian-overrides: Accommodate bracketed paths.
  * Standards-Version: 4.6.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Refer to common license file for Apache-2.0.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 04 Sep 2023 22:40:42 -0400

ncbi-blast+ (2.12.0+ds-3) unstable; urgency=medium

  * d/patches/optin_usage_report change usage reports sending over
    internet strategy to optin (disabled by default unless specified)
    (Closes # 1005279).

 -- Olivier Sallou <osallou@debian.org>  Thu, 10 Feb 2022 12:17:56 +0000

ncbi-blast+ (2.12.0+ds-2) unstable; urgency=medium

  * Clean up spurious release-status comment from 2.12.0+ds-1.
  * debian/patches/system_mbedtls_only: Patch out use of local mbed TLS
    headers, which formally rename all symbols.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 01 Dec 2021 23:36:32 -0500

ncbi-blast+ (2.12.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Update accordingly.
    - fix_lib_deps, fix_unit_tests, spelling: Formally refresh to eliminate
      fuzz.
    - fix_x86isms: Retire (fully incorporated upstream.)
    - run_perl_directly: Formally update to reflect current $Id$ comment.
    - support_x32: Forward-port.
    - tune_lmdb_defaults: Keep just the MIPS tuneup; upstream's settings
      should now be fine elsewhere.
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)
  * debian/patches/suppress_tls_version_checks (formerly
    suppress_gnutls_version_check): Suppress the mbed TLS version check too.
    (Closes: #1000358.)
  * debian/watch: Correct filenamemangle (wrong syntax for multiple rules,
    and leading components left unstripped).
  * debian/source/lintian-overrides: Simplify c++/src/html/ncbi_menu*.js
    overrides per current Lintian.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 01 Dec 2021 22:27:15 -0500

ncbi-blast+ (2.11.0+ds-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - fixed indenting.

  [ Aaron M. Ucko ]
  * New upstream release.
  * debian/patches: Update accordingly.
    - bm-6.4.0: Retire (fully incorporated upstream).
    - fix_lib_deps: Formally refresh to eliminate fuzz.
    - run_perl_directly: Formally update to reflect current $Id$ comment.
    - tune_lmdb_defaults: Port to new setup, conveniently macro-driven.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 31 Jan 2021 21:23:21 -0500

ncbi-blast+ (2.10.1+ds-1) unstable; urgency=medium

  * Repack without c++/src/build-system/project_tree_builder_gui/bin.
    Debian builds make no use of this (Java) GUI or supporting third-party
    jars, and could do without prebuilt binaries even if they did use it.
  * debian/copyright:
    - Set Files-Excluded accordingly.
    - Correct typos for c++/src/html/ncbi_menu*.js; in particular, replace
      duplicate .../ncbi_menu_dnd.js by .../ncbi_menu_dyn.js.
  * debian/watch: Set dversionmangle and repacksuffix options accordingly.
  * debian/source/lintian-overrides: For ncbi_menu*.js, which are editable
    despite long lines, override source-contains-prebuilt-javascript-object
    in addition to source-is-missing.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 23 Oct 2020 17:23:46 -0400

ncbi-blast+ (2.10.1-3) unstable; urgency=medium

  * debian/patches/tune_lmdb_defaults: Scale down slightly more on 32-bit
    mips* (just mipsel in practice these days).  The sizes at this point
    are 640 MiB there, 750 MB on other 32-bit platforms, and 20 GB on
    64-bit platforms.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 04 Oct 2020 21:37:04 -0400

ncbi-blast+ (2.10.1-2) unstable; urgency=medium

  * debian/patches/bm-6.4.0 (new): Update embedded copy of BitMagic to
    version 6,4.0 (from 6.0.0), addressing new "inlining failed in call to
    'always_inline'" errors on mips*el.  (The bmagic package currently has
    version 6.3.0, slightly predating the necessary fix.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 20 Sep 2020 21:30:04 -0400

ncbi-blast+ (2.10.1-1) unstable; urgency=medium

  * New upstream release.
    - Among other changes, "fix tblastn mt issue".  (Closes: #970344.)
  * debian/patches/fix_x86isms (new): Conditionally stub out
    CCpuFeatures::InstructionSet::InstructionSet, which compiles only on x86.
  * debian/patches/{hurd_fixes,run_perl_directly}: Rebase.
  * debian/patches/{reprobuild,support_x32}: Refresh (had fuzz).
  * debian/patches/support_gcc10: Drop build-system portions, incorporated
    upstream as of this release.
  * debian/patches/tune_lmdb_defaults: Rename from tune_32bit_lmdb_defaults;
    scale down somewhat even on 64-bit platforms to account for potential
    use of qemu.  (Closes: #969608.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 19 Sep 2020 22:45:42 -0400

ncbi-blast+ (2.10.0-3) unstable; urgency=medium

  * debian/patches/tune_32bit_lmdb_defaults: Tweak default map size expressions.
    - For 64-bit platforms, use an explicit UL suffix on one factor to avoid
      overflow.
    - For 32-bit platforms, avoid tying up quite so much address space, since
      opening a pair of databases is a distinct possibility.
    - Generally parenthesize expressions per best macro practice.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 07 Sep 2020 21:15:02 -0400

ncbi-blast+ (2.10.0-2) unstable; urgency=high

  * debian/patches/support_gcc10: Additionally tweak ncbifile.cpp to avoid
    narrowing errors on some platforms (i386, for one).
  * debian/patches/tune_32bit_lmdb_defaults (new): Conditionalize default
    map size to avoid allocation failures on 32-bit platforms.
    (Closes: #969608.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 06 Sep 2020 23:07:37 -0400

ncbi-blast+ (2.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Formally refresh.  (A few files needed straightforward manual
      intervention.)
    - support_gcc10: New, for formal support of GCC 10+.  (Closes: #957581.)
    - run_perl_directly: New, to streamline update_blastdb(.pl)'s #! line.
  * debian/rules:
    - override_dh_clean: Clean up new generated artifacts: fakehome/ and
      c++/include/common/ncbi_revision.h.
    - override_dh_install-arch: Install new cleanup-blastdb-volumes script
      without its upstream .py suffix.
    - Stop directly injecting -Wl,--as-needed into LDFLAGS, but keep
      DEB_LDFLAGS_MAINT_APPEND for the sake of backports, along with a
      comment that they can't rely on GCC 9+.
  * Add salsa-ci file (routine-update)
  * Wrap long lines in changelog entries: 2.2.25-6.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 26 Apr 2020 19:38:13 -0400

ncbi-blast+ (2.9.0-4) unstable; urgency=high

  * debian/control: Standards-Version: 4.5.0 (already compliant).
  * debian/rules: DEB_CONFIGURE_COMMON_FLAGS += --without-sse42.
    (Closes: #951280.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 16 Feb 2020 20:16:33 -0500

ncbi-blast+ (2.9.0-3) unstable; urgency=medium

  * Team upload.
  * Drop transitional blast2 package. (Closes: #940742).
  * debian/copyright: refreshed
  * debhelper-compat 12
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Use secure URI in Homepage field.
  * Move source package lintian overrides to debian/source.
  * Set upstream metadata fields: Contact, Name.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 05 Dec 2019 15:42:44 +0100

ncbi-blast+ (2.9.0-2) unstable; urgency=medium

  * debian/control: Standards-Version: 4.4.1 (already compliant).
  * debian/copyright: Remove redundant ncbi_menu_*.js stanza.
  * debian/rules:
    - Delegate dpkg-{architecture,buildflags} calls to
      /usr/share/dpkg/{architecture,buildflags}.mk respectively.
    - Allow for cross-building (Closes: #930240):
    -- Factor a DEB_CONFIGURE_COMMON_FLAGS macro out of
       DEB_CONFIGURE_EXTRA_FLAGS for flags that also make sense for native
       builds of internal helpers.
    -- Conditionally supply --build=... and --host= to the main
       (historically, only) configure run per Helmut Grohne's suggestion.
       (dh_auto_configure would take care of this, but insists on passing
       a --runstatedir=... flag this configure script doesn't accept.)
    -- Conditionally add a rule for building native datatool and
       project_tree_builder binaries (in a parallel build tree established
       via another configure invocation), make it a dependency of
       override_dh_auto_configure-arch, and arrange for everything else to
       use these binaries as needed.
    -- Honor DEB_BUILD_OPTIONS="... nocheck ...", also per Helmut.
    -- Rework logic to install (possibly indirect) local library
       dependencies to use readelf rather than ldd, making as many passes
       as necessary (four at present, but no hardcoded count).
    - Install get_species_taxids without the .sh suffix.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 29 Sep 2019 21:57:31 -0400

ncbi-blast+ (2.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Wed, 11 Sep 2019 07:44:38 +0000

ncbi-blast+ (2.8.1-2) unstable; urgency=medium

  * Convert windowmasker_2.2.22_adapter to Python 3 via 2to3;
    update (build-)dependencies accordingly.  (Closes: #937121.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 01 Sep 2019 20:50:43 -0400

ncbi-blast+ (2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Advance to Debhelper 11.
  * debian/control:
    - Build-Depend on liblmdb-dev.
    - Split B-Ds other than Debhelper out to Build-Depends-Arch.
    - Advance Debhelper requirement to 11~.
    - Standards-Version: 4.3.0 (already compliant).
    - Rules-Requires-Root: no.
  * debian/patches: Formally update for new release.
    - Retire support_boost_1_67 (already applied upstream).
    - Update patches that apply with offsets or outright fuzz, or need
      full-fledged porting.
  * debian/patches/fix_lib_deps: Link xcleanup against $(OBJEDIT_LIBS).
  * debian/patches/system_mbedtls_only (new): Omit convenience mbed TLS
    copy, which is dead weight and yielded a Lintian error.
  * debian/rules: Also skip (dh_auto)_configure when building only
    architecture-independent binary packages.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 03 Feb 2019 22:47:45 -0500

ncbi-blast+ (2.7.1-2) unstable; urgency=medium

  [ David Miguel Susano Pinto ]
  * d/control: fix Vcs-* links to point to salsa

  [ Aaron M. Ucko ]
  * d/control: Standards-Version: 4.2.1 (already compliant).
  * d/patches/support_boost_1_67: New patch to extend Boost support
    (used for uninstalled tests) through at least version 1.67, per
    upstream (https://www.ncbi.nlm.nih.gov/viewvc/v1/trunk/c%2B%2B)
    revisions 79910, 79926, 79928, and 79929.  (Closes: #916000.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 12 Dec 2018 22:24:45 -0500

ncbi-blast+ (2.7.1-1) unstable; urgency=medium

  * New upstream release
    d/patches: update patch for new release
    d/control:
      go to standards 4.1.3
      add mbedtls dependency

 -- Olivier Sallou <osallou@debian.org>  Sat, 10 Feb 2018 17:35:31 +0000

ncbi-blast+ (2.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Sun, 15 Jan 2017 17:12:27 +0000

ncbi-blast+ (2.5.0-4) unstable; urgency=medium

  * New optionally_keep_sequence patch to hang on to sequence data even if
    -parse_deflines recognized a non-local ID, on the condition that the
    environment variable BLAST_ALWAYS_KEEP_SEQUENCE (or configuration
    parameter [BLAST] always_keep_sequence) is set to a "true" value
    (English-only, case-insensitive true, t, yes, y, or 1).  (Closes: #792510.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 14 Dec 2016 22:46:44 -0500

ncbi-blast+ (2.5.0-3) unstable; urgency=medium

  * New suppress_gnutls_version_check patch to prevent bailing when the
    exact compile-time and runtime GNU TLS versions differ; trust dpkg to
    disallow combinations that are actually incompatible.
  * debian/rules: If configure fails (as has been happening on alpha),
    present (BUILD/status/)config.log before bailing.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 07 Dec 2016 21:40:38 -0500

ncbi-blast+ (2.5.0-2) unstable; urgency=medium

  * debian/patches/fix_lib_deps: Patch Makefile.blast_macros.mk to add blast
    to BLAST_LIBS to clear up link errors that could otherwise occur.
  * debian/control: B-D on libgnutls28-dev to enable HTTPS support.
  * Fully take blast2 over from ncbi-tools6, whose implementation has retired.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 05 Dec 2016 23:16:54 -0500

ncbi-blast+ (2.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Thu, 01 Dec 2016 14:40:17 +0100

ncbi-blast+ (2.4.0-3) unstable; urgency=medium

  * debian/rules:
    - Properly build (but don't install) run_with_lock. (Closes: #833538.)
    - Comment out nostrip check, which yielded a useless dbgsym package.
  * Reinstate and refresh the hurd_fixes patch, which mostly still applies.
    (Closes: #833539.)
  * Add a new support_x32 patch to avoid picking up wrong inline assembly.
    (Closes: #833541.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 05 Aug 2016 19:47:24 -0400

ncbi-blast+ (2.4.0-2) unstable; urgency=medium

  * Import upstream patch for remaining Boost compatibility issues
    as debian/patches/support_recent_boost.  (Closes: #833451.)
  * debian/rules: Automatically determine which libraries are needed.
    (The hand-maintained blacklist was incomplete.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 04 Aug 2016 23:08:20 -0400

ncbi-blast+ (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches; drop fix_kfreebsd_ftbs.patch (applied upstream).
  * Import upstream patch to fix Boost version detection (which missed the
    2.4.0 release branch) as debian/patches/fix_version_extraction.
  * fix_lib_deps: List taxon1 in align_format's overridden DLL_LIB, in
    large part to ensure its headers are generated on time; generally fix
    remaining cases of underlinkage (several longstanding).
  * debian/rules: Build --without-downloaded-vdb, to avoid trying to go to
    Github for code that BLAST+ doesn't even use.  (Other parts of the C++
    Toolkit do.)
  * debian/control: Go ahead and add myself to Uploaders.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 03 Aug 2016 21:40:00 -0400

ncbi-blast+ (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Autopkgtest added

 -- Canberk Koç <canberkkoc@gmail.com>  Tue, 02 Aug 2016 03:32:09 +0300

ncbi-blast+ (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging to Git
  * cme fix dpkg-control
  * drop get-orig-source target which is simply the usual uscan call

 -- Andreas Tille <tille@debian.org>  Tue, 12 Apr 2016 14:54:08 +0200

ncbi-blast+ (2.2.31-4) unstable; urgency=medium

  * Really enable building architecture independent package separately
    Closes: #809120
  * Save time and do nothing for architecture independent builds

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jan 2016 18:50:31 +0100

ncbi-blast+ (2.2.31-3) unstable; urgency=medium

  * Drop explicite mentioning of quilt
  * Enable building architecture independent package separately
    Closes: #809120
  * Override false lintian error
  * DEP5 fixes

 -- Andreas Tille <tille@debian.org>  Mon, 28 Dec 2015 12:32:23 +0100

ncbi-blast+ (2.2.31-2) unstable; urgency=medium

  * Fix a long-standing typo for GNU/kFreeBSD FTBS (Aaron M. Ucko)

 -- Olivier Sallou <osallou@debian.org>  Fri, 11 Dec 2015 09:44:43 +0100

ncbi-blast+ (2.2.31-1) unstable; urgency=medium

  * New upstream release
  * Allow parallel build (Closes: #798277). Thanks to Aron Xu <aron@debian.org>
  * GCC break fix (recompile with gcc5, Closes: #793263).

 -- Olivier Sallou <osallou@debian.org>  Thu, 10 Dec 2015 13:37:03 +0100

ncbi-blast+ (2.2.30-4) unstable; urgency=medium

  * d/patches/fix_compilation: Add an upstream patch to
    include/util/bitset/bmconst.h to fix builds with GCC 5 on platforms
    such as arm64 on which char is unsigned.  (Closes: #790667.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 02 Jul 2015 16:22:39 -0400

ncbi-blast+ (2.2.30-3) unstable; urgency=medium

  * Switch to unstable after unfreeze.

 -- Olivier Sallou <osallou@debian.org>  Mon, 18 May 2015 14:34:50 +0200

ncbi-blast+ (2.2.30-2) experimental; urgency=medium

  * d/patches/allow_gcc5 (new): Allow compilation with GCC 5, per upstream.
    (Closes: #778021.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 16 Feb 2015 22:38:50 -0500

ncbi-blast+ (2.2.30-1) experimental; urgency=medium

  * New upstream release
  * d/control: switch to Standards 3.9.6
               fix svn url
  * d/patches/fix_compilation: fix compilation issue

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Nov 2014 18:21:26 +0100

ncbi-blast+ (2.2.29-3) unstable; urgency=medium

  * debian/patches/include_typeinfo: Patch include/corelib/ncbistl.hpp to
    ensure sufficient coverage; fix typos in patch headers.  (Closes: #753190.)
  * Standards-Version: 3.9.4.  (Already compliant.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 01 Jul 2014 18:27:46 -0400

ncbi-blast+ (2.2.29-2) unstable; urgency=medium

  * d/patches/include_typeinfo (Closes: #753190).

 -- Olivier Sallou <osallou@debian.org>  Sat, 07 Jun 2014 11:28:22 +0200

ncbi-blast+ (2.2.29-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Fri, 06 Jun 2014 22:38:40 +0200

ncbi-blast+ (2.2.28-2) unstable; urgency=low

  * debian/patches/use_pie_for_apps: Explicitly build all executables with
    -fPIE -pie, to avoid giving project_tree_builder a partial PIE
    treatment that now fails on mips and mipsel.  (Closes: #710807.)
  * debian/rules: Retire redundant APP_LDFLAGS override.
  * Standards-Version: 3.9.4.  (Already compliant.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 02 Jun 2013 23:00:44 -0400

ncbi-blast+ (2.2.28-1) unstable; urgency=low

  * New upstream release
    - Thanks to Tim Booth for package update help.

 -- Olivier Sallou <osallou@debian.org>  Sat, 01 Jun 2013 08:40:51 +0200

ncbi-blast+ (2.2.27-3) unstable; urgency=low

  * debian/series: active patch fix_arm_mips_build (Closes: #688661).

 -- Olivier Sallou <osallou@debian.org>  Fri, 05 Oct 2012 11:03:03 +0200

ncbi-blast+ (2.2.27-2) unstable; urgency=low

  * debian/patches/fix_arm_mips_build: Fix FTBS on ARM and MIPS
    (Closes: #688661).
  * debian/rules: rename seedtop to seedtop+ to avoid blast2 conflict
    (Closes: #688684).

 -- Olivier Sallou <osallou@debian.org>  Mon, 24 Sep 2012 09:28:29 +0200

ncbi-blast+ (2.2.27-1) unstable; urgency=low

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Sep 2012 17:25:41 +0200

ncbi-blast+ (2.2.26-3) unstable; urgency=low

  [ Aaron M. Ucko ]
  * debian/patches/fix_gcc47_errors: fix various GCC 4.7 compilation
    errors and warnings.  (Closes: #669679.)
    - Explicitly qualify more dependent names originating in base templates.
    - Directly #include headers as needed.
    - Use modern syntax for making protected base members public.
    - Add forward declarations as needed.
  * Wrap and sort build dependencies to ease maintenance thereof.
  * Enable full hardening flags, introducing a small patch
    (use_pie_for_apps) to reflect the need to build executables and
    libraries differently.
  * Use upstream's new --with-symbols flag in nostrip builds.

  [ Andreas Tille ]
  * debian/control: Modernize Vcs-* fields.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 10 May 2012 23:42:49 -0400

ncbi-blast+ (2.2.26-2) unstable; urgency=low

  * debian/patches/wrong_path_to_touch.patch :Fix upstream FTBFS on the Hurd
    hardcodes wrong path to touch (Closes: #663244)

 -- Olivier Sallou <osallou@debian.org>  Wed, 07 Mar 2012 17:29:23 +0100

ncbi-blast+ (2.2.26-1) unstable; urgency=low

  [ Olivier Sallou ]
  * New upstream release
  * Remove some patches, applied upstream

  [ Andreas Tille]
  * debian/copyright: Added Upstream-Contact

 -- Olivier Sallou <osallou@debian.org>  Wed, 07 Mar 2012 09:37:10 +0100

ncbi-blast+ (2.2.25-7) unstable; urgency=low

  * Do not output everything to STDERR in
    c++/src/app/blast/update_blastdb.pl
    Closes: #644237
  * debian/control: Depends s/${python:Depends}/python/ because
    the python dependency of /usr/bin/windowmasker_2.2.22_adapter
    is not detected obviosely
  * debian/copyright: Indentation fixes to get DEP5 compatibility

 -- Andreas Tille <tille@debian.org>  Wed, 21 Dec 2011 15:47:04 +0100

ncbi-blast+ (2.2.25-6) unstable; urgency=low

   * debian/control:
     + Luca Capello <luca@pca.it>, fix reference for legacy_blast
       (Closes: #642986).
     + add a new line to separate the actual description from usage
      instruction in the long Description:.
   * debian/rules: add gene_info_reader binary in package

 -- Olivier Sallou <olivier.sallou@irisa.fr>  Fri, 30 Sep 2011 12:31:05 -0400

ncbi-blast+ (2.2.25-5) unstable; urgency=low

  * Team upload.
  * debian/patches/hurd_fixes: further patch configure(.ac) to reflect
    -Wl,rpath,... support.  (Closes: #629656.)
  * debian/patches/fix_lib_deps: link makembindex and srsearch against
    libxconnect rather than libconnect for consistency with libblast,
    which uses the former for consistency with other projects.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 29 Aug 2011 12:31:05 -0400

ncbi-blast+ (2.2.25-4) unstable; urgency=low

  [ Aaron M. Ucko ]
  * Team upload.
  * debian/patches/support_other_cpus: belatedly add a descriptive header.
  * debian/patches/hurd_fixes: new; fix hurd-specific issues.
    (In conjunction with the following change, finally closes: #629656.)
  * debian/control:
    - Build-Depends += libc0.3-dev (>= 2.13-9~) [hurd-i386] to avoid #630180.
    - Declare both binary packages as Multi-Arch: foreign.
  * debian/patches/fix_lib_deps: new; ensure that all libraries link against
    all direct dependencies.  (Break the dependency loop between libxblast
    and libxalgoblastdbindex by having the former provide only the C++ BLAST
    API, leaving the C core only in libblast.)  (Closes: #633567.)
  * debian/rules: tweak LDFLAGS, supplying -Wl,--as-needed across the
    board (as it is now safe to do so) and adding -Wl,--enable-new-dtags
    to allow LD_LIBRARY_PATH to override the private rpath.
  * debian/patches/no_multiarch_rpath: new; avoid redundant rpath entries
    on multiarch systems (courtesy of overzealous logic to ensure
    executables will be able to find libstdc++.)

  [ Andreas Tille ]
  * Enhances: t-coffee (as stated in tasks file)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 28 Aug 2011 18:45:19 -0400

ncbi-blast+ (2.2.25-3) unstable; urgency=low

  * Team upload.
  * debian/rules:
    - Export MAKE to override an internal upstream build script that
      otherwise incorrectly defaults to gmake on non-Linux
      architectures. (Really closes: #629656, with any luck.)
    - Force CONFIG_SHELL=/bin/bash to avoid lossage that can occur with zsh4
      masquerading as ksh, which configure otherwise favors (due to complaints
      from users with broken BASH_ENV scripts that change directories).

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 09 Jun 2011 19:25:45 -0400

ncbi-blast+ (2.2.25-2) unstable; urgency=low

  * Team upload.
  * Fix several sources of build failures (closes: #629656):
    - debian/rules (override_dh_install): Correctly support building only
      architecture-dependent packages.
      (DEB_CONFIGURE_EXTRA_FLAGS): Add --without-caution to override the
      upstream build system's reluctance to build shared libraries on the
      Hurd or kFreeBSD, which it doesn't specifically recognize.  Limit C++
      optimization level to -O (rather than the default -O2) on mips(el),
      on which g++ otherwise crashes. :-/
    - debian/patches/support_other_cpus (new; committed upstream too):
      build correctly on architectures that wound up defining
      NCBI_SLOW_ATOMIC_SWAP (spuriously in the case of powerpc,
      whose detection the patch fixes as well).

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 08 Jun 2011 21:42:52 -0400

ncbi-blast+ (2.2.25-1) unstable; urgency=low

  * Initial release (Closes: #624394)

 -- Olivier Sallou <olivier.sallou@irisa.fr>  Wed, 08 Jun 2011 00:15:15 +0200
